<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Untitled Document</title>
<script>
$(document).ready(function() {
	$('#brchtb').DataTable({
		"dom": '<"toolbar">lBfrtip', //กำหนดส่วนหัวเอง
		order: [[ 0, "asc" ]], //กำหนดการจัดเรียง เริ่มต้น defale
		lengthMenu: [[10, 25, 50, 100, -1], [10, 25, 50, 100, "All"]]   //กำหนดจำนวนแสดงรายการแต่ละหน้า
	});
	//$("div.toolbar").html('<b>รายการบริษัท (Company Detail) </b>'); //กำหนดชื่อตารางด้านบน
	//กำหนดส่วน footer ให้มีช่องพิมพ์ textbox สำหรับค้นหา
		$('#brchtb tfoot th').each( function () {
			var title = $(this).text();
			if((title != 'แก้ไข') && (title !='ลบ') && (title !='ลายเซนต์') ){
				$(this).html( '<input type="text" placeholder=" '+title+'" style="width:90%;"  />' );
			}else{
				$(this).html(' ');	
			}
		} );
		
		// Apply the search ค้นหาจาก footer ------------------------
		$('#brchtb').DataTable().columns().every( function () {
			var that = this;
			//ค้นหาจาก footer	
			$( 'input', this.footer() ).on( 'keyup change', function () {
				if ( that.search() !== this.value ) {
					that
						.search( this.value )
						.draw();
				}
			});
		});
});
</script>
</head>

<body>
	<table id="brchtb" class="display cell-border compact row-border table table-striped table-bordered" cellspacing="0" width="100%">
          <thead>
              <tr>	
                  <th style="text-align:center;">ลำดับที่</th>
                  <th>รหัสสาขา</th>
                  <th>ชื่อสาขา</th>
                  <th>ชื่อบริษัท</th>
                  <th style="text-align:center;">แก้ไข</th>
                  <th style="text-align:center;">ลบ</th>
              </tr>
          </thead>
          <tfoot>
          	  <tr>	
                <th style="text-align:center;">ลำดับที่</th>
                <th>รหัสสาขา</th>
                <th>ชื่อสาขา</th>
                <th>ชื่อบริษัท</th>
                <th style="text-align:center;">แก้ไข</th>
                <th style="text-align:center;">ลบ</th>
              </tr>
          </tfoot>
          <tbody>
         <?
		  	include "../../Connections/connect_mysql.php";
			$sql=" select * from branch_tb order by branid desc; ";
			$result = mysql_query($sql) or die(mysql_error());
			$rowint = 1;
			while($record=mysql_fetch_array($result)){
				//$emp_id = $record['emp_id'];
				//$emp_begin_name = iconv('tis-620','utf-8',$record['emp_begin_name']);
				$branid = $record['branid'];
				$brancode = $record['brancode'];
				$branname = $record['branname'];
				$brancomid = $record['brancomid'];
				
				$sqlcomp = " select * from company_tb where compid={$brancomid}";
				$resultcomp = mysql_query($sqlcomp) or die(mysql_error());
				$recordcomp = mysql_fetch_array($resultcomp);
				$compnameth= $recordcomp['compnameth']; 
		 ?>
         
          	<tr>	
                <td style="text-align:center;"><?=$rowint?></td>
                <td><?=$brancode?></td>
                <td><?=$branname?></td>
                <td><?=$compnameth?></td>
                <td style="text-align:center;">
                	<button type="button" class="btn btn-info" onClick="javascript:editbrch(<?=$branid?>);" ><i class="fa fa-pencil-square-o"></i> แก้ไข</button>	
                </td>
                <td style="text-align:center;">
                	<button type="button" class="btn btn-danger" onClick="javascript:delbrch(<?=$branid?>);"><i class="fa fa-trash"></i> ลบ</button>
                </td>
            </tr>
         <?		
				$rowint = $rowint + 1;
			}//while
		 ?>
          </tbody>
     </table>
</body>
</html>
<?
	mysql_close($c);
?>